DragonFly BSD
DragonFly users List (threaded) for 2006-01
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

pkgsrc glitch in 1.4+ ISOs

From: joerg@xxxxxxxxxxxxxxxxx
Date: Sun, 8 Jan 2006 19:56:18 +0100
Mail-followup-to: users@crater.dragonflybsd.org

Hi all,
due to the problems reported on #dragonflybsd, I've found an issue in
the nrelease infrastructure affecting those who want to build directly
from pkgsrc. Basically, it won't link correctly against gettext-lib as
provided by the CD.

There are currently two work arounds:
(a) Remove the default packages with 'pkg_delete -r \*' and restart from
scratch. If you want to use source builds, that might be a good idea
(b) Get a cleanup script from
which corrects the issues in place. Something like that will most likely
be integrated into update and the framework itself soon.

This is of minor concern for binary-only users. Concerning that, a fresh
1.4 bulk build is running, expect packages for the end of the next week.
The 1.3.7 packages are working, of course, the warning about OS version
mismatch can be ignored.


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]